Hash-Generator: MD5, SHA-1, SHA-256

Geben Sie einen Text ein, um seine Hash-Werte für MD5, SHA-1, SHA-256, SHA-384 und SHA-512 hexadezimal zu sehen. Tragen Sie einen Schlüssel ein, dann wird jede Zeile zu einem HMAC, einer mit einem Geheimnis erzeugten Signatur.

Kostenlos Läuft in Ihrem Browser Stand: Dienstag, 10. November 2026

Der Text, der gehasht wird, als UTF-8-Bytes. Buchstaben wie ü oder ß brauchen je zwei Bytes.

Leer lassen für einfache Hash-Werte. Mit einem Schlüssel wird jede Zeile zu einem HMAC, der mit diesem Schlüssel erzeugt wird.

Ergebnis

Hash-Werte

Dieses Werkzeug läuft in Ihrem Browser. Was Sie eingeben, wird nicht an uns gesendet.

So verwenden Sie es

  1. Tragen Sie den Text in Text ein.
  2. Lassen Sie Schlüssel (optional) leer für einfache Hash-Werte, oder geben Sie einen Schlüssel ein, um HMACs zu erhalten.
  3. Kopieren Sie einen Hash-Wert aus seiner Zeile, oder nutzen Sie Als CSV-Datei speichern, um die ganze Tabelle zu behalten.
  4. Prüfen Sie den Algorithmus in der ersten Spalte gegen den, den Ihr System oder Ihr Dokument verlangt.

Was ein Hash-Wert ist

Eine Hash-Funktion macht aus jedem Text einen Code fester Länge, den Hash-Wert. Derselbe Text ergibt immer denselben Wert, eine kleine Änderung ergibt einen völlig anderen, und aus dem Wert lässt sich der Text nicht zurückgewinnen. Hier werden die Werte hexadezimal geschrieben: MD5 hat 32 Ziffern, SHA-1 hat 40, SHA-256 hat 64, SHA-384 hat 96 und SHA-512 hat 128.

Hexadezimale Ziffern = Bits ÷ 4

MD5      128 ÷ 4 = 32
SHA-256  256 ÷ 4 = 64
SHA-512  512 ÷ 4 = 128

Welcher Algorithmus passt

MD5 und SHA-1 sind gebrochen. Zwei verschiedene Texte lassen sich mit demselben Hash-Wert finden. Sie dürfen deshalb nicht für Signaturen oder Zertifikate verwendet werden. In alten Systemen tauchen sie noch auf, und zur schnellen Prüfung gegen zufällige Beschädigung eines Downloads taugen sie noch. SHA-256 und SHA-512 gehören zum heutigen Standard FIPS 180-4 und sind die übliche Wahl.

Um Passwörter zu speichern, verwenden Sie eine Funktion zum Hashen von Passwörtern wie Argon2 oder bcrypt. Keiner der Hash-Werte auf dieser Seite ist dafür gedacht.

HMAC: ein Hash-Wert mit Schlüssel

Ein HMAC (RFC 2104) verbindet einen Schlüssel auf feste Weise mit einem Hash. Nur wer den Schlüssel kennt, kann denselben HMAC erzeugen. So zeigt er, dass eine Nachricht von einem bekannten Absender stammt und unterwegs nicht verändert wurde. Die Seite berechnet HMACs mit denselben Algorithmen wie die einfachen Hash-Werte.

Text sind Bytes

  • Der Text wird als UTF-8-Bytes gehasht (RFC 3629). ASCII-Buchstaben brauchen ein Byte, Umlaute wie ü zwei, und ein Emoji vier.
  • Ein anderes Zeilenende, eine andere Kodierung oder ein zusätzliches Leerzeichen ergibt einen anderen Hash-Wert. Hashen Sie deshalb dieselben Bytes wie das andere Werkzeug.

Rechenbeispiel: abc und ein HMAC

Die Hash-Werte des Textes abc sind veröffentlichte Werte: MD5 in RFC 1321, SHA-1, SHA-256, SHA-384 und SHA-512 in FIPS 180-4.

Mit dem Schlüssel Jefe und dem Text what do ya want for nothing? ist HMAC-SHA-256 gleich 5bdcc146bf60754e6a042426089575c75a003f089d2739839dec58b964ec3843, der Testwert aus RFC 4231, Testfall 2.

Algorithmus Hash-Wert von abc
MD5 900150983cd24fb0d6963f7d28e17f72
SHA-1 a9993e364706816aba3e25717850c26c9cd0d89d
SHA-256 ba7816bf8f01cfea414140de5dae2223b00361a396177a9cb410ff61f20015ad
SHA-384 cb00753f45a35e8bb5a03d699ac65007272c32ab0eded1631a8b605a43ff5bed8086072ba1e7cc2358baeca134c825a7
SHA-512 ddaf35a193617abacc417349ae20413112e6fa4e89a97ea20a9eeee64b55d39a2192992a274fc1a836ba3c23a3feebbd454d4423643ce80e2a9ac94fa54ca49f

Häufig gestellte Fragen

Ist MD5 für Passwörter sicher?

Nein. MD5 ist schnell und gebrochen, daher lässt sich eine gestohlene Liste von MD5-Passwort-Hashes leicht knacken. Speichern Sie Passwörter mit einer Funktion zum Hashen von Passwörtern wie Argon2 oder bcrypt.

Ist SHA-256 dasselbe wie Verschlüsselung?

Nein. Ein Hash-Wert ist eine Einbahnstraße: Er lässt sich nicht in den Text zurückverwandeln und verwendet keinen Schlüssel. Verschlüsselung lässt sich mit dem richtigen Schlüssel umkehren. Verwenden Sie einen Hash-Wert zur Prüfung der Unversehrtheit und einen HMAC, um zu prüfen, dass eine Nachricht von jemandem stammt, der den Schlüssel kennt.

Was ist der Unterschied zwischen Hash-Wert und HMAC?

Ein Hash-Wert hängt nur vom Text ab. Ein HMAC braucht außerdem einen geheimen Schlüssel, daher kann ihn nur erzeugen oder prüfen, wer den Schlüssel hat. Signaturen bei Webhooks und APIs sind meist HMAC-SHA-256.

Warum weichen meine Hash-Werte von einem anderen Werkzeug ab?

Die Bytes müssen gleich sein. Ein anderes Zeilenende, eine andere Kodierung wie Windows-1252 oder ein zusätzliches Leerzeichen ändert jeden Hash-Wert. Hashen Sie dieselben Bytes, die das andere Werkzeug hasht.

Wird mein Text irgendwohin gesendet?

Nein. Die Hash-Werte werden in Ihrem Browser berechnet. Der Text wird weder hochgeladen noch gespeichert.

Kann ich mit diesem Werkzeug eine Datei prüfen?

Diese Seite hasht nur Text. Für eine Datei nutzen Sie das Prüfsummen-Werkzeug Ihres Betriebssystems oder die Prüfsumme, die die Download-Seite veröffentlicht.

Quellen

Zahlen und Text zuletzt geprüft: Dienstag, 10. November 2026.

Wir verwenden notwendige Cookies, damit die Website funktioniert. Mit Ihrer Einwilligung verwendet Google außerdem Werbe-Cookies, um personalisierte Anzeigen zu zeigen. Wenn Sie diese ablehnen, sehen Sie weiterhin Anzeigen, sie werden aber nicht personalisiert.